using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TecniStamp.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class Anagrafiche : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "Costo",
                table: "Utente",
                type: "decimal(18,2)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.CreateTable(
                name: "Lavorazione",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    Descrizione = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    CostoOrario = table.Column<float>(type: "real", nullable: true),
                    Codice = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    ChiaveEsterna = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    CodiceColore = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    Sovrapponibile = table.Column<bool>(type: "bit", nullable: false),
                    DataCreazione = table.Column<DateTime>(type: "datetime2", nullable: false),
                    DataModifica = table.Column<DateTime>(type: "datetime2", nullable: true),
                    Eliminato = table.Column<bool>(type: "bit", nullable: false),
                    IdUtenteCreazione = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    IdUtenteModifica = table.Column<Guid>(type: "uniqueidentifier", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Lavorazione", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Lavorazione_Utente_IdUtenteCreazione",
                        column: x => x.IdUtenteCreazione,
                        principalTable: "Utente",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_Lavorazione_Utente_IdUtenteModifica",
                        column: x => x.IdUtenteModifica,
                        principalTable: "Utente",
                        principalColumn: "Id");
                });

            migrationBuilder.CreateTable(
                name: "Macchinario",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    Descrizione = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    Interscambio = table.Column<bool>(type: "bit", nullable: false),
                    ConfigurazionePercorso = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    ConfigurazioneJSON = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    CodiceEsterno = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    DataCreazione = table.Column<DateTime>(type: "datetime2", nullable: false),
                    DataModifica = table.Column<DateTime>(type: "datetime2", nullable: true),
                    Eliminato = table.Column<bool>(type: "bit", nullable: false),
                    IdUtenteCreazione = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    IdUtenteModifica = table.Column<Guid>(type: "uniqueidentifier", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Macchinario", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Macchinario_Utente_IdUtenteCreazione",
                        column: x => x.IdUtenteCreazione,
                        principalTable: "Utente",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_Macchinario_Utente_IdUtenteModifica",
                        column: x => x.IdUtenteModifica,
                        principalTable: "Utente",
                        principalColumn: "Id");
                });

            migrationBuilder.CreateIndex(
                name: "IX_Lavorazione_IdUtenteCreazione",
                table: "Lavorazione",
                column: "IdUtenteCreazione");

            migrationBuilder.CreateIndex(
                name: "IX_Lavorazione_IdUtenteModifica",
                table: "Lavorazione",
                column: "IdUtenteModifica");

            migrationBuilder.CreateIndex(
                name: "IX_Macchinario_IdUtenteCreazione",
                table: "Macchinario",
                column: "IdUtenteCreazione");

            migrationBuilder.CreateIndex(
                name: "IX_Macchinario_IdUtenteModifica",
                table: "Macchinario",
                column: "IdUtenteModifica");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Lavorazione");

            migrationBuilder.DropTable(
                name: "Macchinario");

            migrationBuilder.DropColumn(
                name: "Costo",
                table: "Utente");
        }
    }
}
